#ifndef LSUP_INIT_DATA_H
#define LSUP_INIT_DATA_H


/** @brief Initial namespace map.
 */
const char *init_nsmap[][2] = {
    {"dc",       "http://purl.org/dc/elements/1.1/"},
    {"dcterms",  "http://purl.org/dc/terms/"},
    {"foaf",     "http://xmlns.com/foaf/0.1/"},
    {"rdf",      "http://www.w3.org/1999/02/22-rdf-syntax-ns#"},
    {"rdfs",     "http://www.w3.org/2000/01/rdf-schema#"},
    {"xsd",      "http://www.w3.org/2001/XMLSchema#"},
    {NULL}
};

/** @brief Initial data types loaded into the environment.
 *
 * For XSD type reference see http://www.w3.org/TR/xmlschema11-2/
 */
const char *init_datatypes[] = {
    /* XSD primitive types. */
    "xsd:string",
    "xsd:boolean",
    "xsd:decimal",
    "xsd:float",
    "xsd:double",
    "xsd:duration",
    "xsd:dateTime",
    "xsd:time",
    "xsd:date",
    "xsd:gYearMonth",
    "xsd:gYear",
    "xsd:gMonthDay",
    "xsd:gDay",
    "xsd:gMonth",
    "xsd:hexBinary",
    "xsd:base64Binary",
    "xsd:anyURI",
    "xsd:QName",
    "xsd:NOTATION",

    /* Other ordinary (constructed) data types. Not compiled by default. */
#ifdef XSD_CONSTRUCTED_DATATYPES
    "xsd:normalizedString",
    "xsd:token",
    "xsd:language",
    "xsd:NMTOKEN",
    "xsd:NMTOKENS",
    "xsd:Name",
    "xsd:NCName",
    "xsd:ID",
    "xsd:IDREF",
    "xsd:IDREFS",
    "xsd:ENTITY",
    "xsd:ENTITIES",
    "xsd:integer",
    "xsd:nonPositiveInteger",
    "xsd:negativeInteger",
    "xsd:long",
    "xsd:int",
    "xsd:short",
    "xsd:byte",
    "xsd:nonNegativeInteger",
    "xsd:unsignedLong",
    "xsd:unsignedInt",
    "xsd:unsignedShort",
    "xsd:unsignedByte",
    "xsd:positiveInteger",
#endif  /* XSD_CONSTRUCTED_DATATYPES */
    NULL
};

#endif /* LSUP_INIT_DATA_H */
